aboutsummaryrefslogtreecommitdiffstats
path: root/main/redis/redis.post-install
diff options
context:
space:
mode:
Diffstat (limited to 'main/redis/redis.post-install')
-rw-r--r--main/redis/redis.post-install11
1 files changed, 11 insertions, 0 deletions
diff --git a/main/redis/redis.post-install b/main/redis/redis.post-install
new file mode 100644
index 0000000000..a0cfbe51ee
--- /dev/null
+++ b/main/redis/redis.post-install
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+# Create directory for the socket if OpenRC is not present (e.g. in container).
+# It's conditioned using post-install script specifically to avoid easily
+# overlookable mistakes in the init script (service working until the
+# first restart).
+if ! [ -e /sbin/openrc ]; then
+ install -d -m 755 -o redis -g redis /run/redis
+fi
+
+exit 0